commit f9a30c707c14fc1ab75f7cc90c9c1eb6fcec3b6d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Dec 12 15:41:52 2022 -0800

    xhost 1.0.9
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 728ba52d5dc966e423d9416647c2e903c95d2217
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Dec 3 10:10:05 2022 -0800

    Simplify i18n of 'unable to get ... address for ...' error message
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 167ad7fa3a339da96798da49d05c3125045a87c2
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Nov 7 16:03:47 2022 -0800

    Use gettext() to localize messages if available
    
    Originally fixed for Solaris in May 2000 by Steve Swales under
    Sun bug 4256527 "xhost messages not internationalized"
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 4b54c211e5e86d6ed62386ad9b7d676808b55766
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Nov 7 14:21:28 2022 -0800

    Recognize raw IPv6 numeric address
    
    Originally fixed for Solaris in Oct. 2002 under Sun bug 4759889
    "xhost does not accept raw IPv6 numeric address"
    
    Before this fix:
    % xhost +2001:DB8::11
    xhost: unknown address family "2001"
    xhost:  bad hostname "2001:DB8::11"
    
    After this fix:
    % xhost +2001:DB8::11
    2001:DB8::11 being added to access control list
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 1d7015ba70362b09ac6a001d77e693a03fa0375e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Dec 6 14:31:13 2021 -0800

    Build xz tarballs instead of bzip2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8de485ec2760ba7de2391c3864d4fe62ceeb23d6
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Dec 6 14:31:10 2021 -0800

    gitlab CI: add a basic build test
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 997135c6e37faa50f8b42a5f95c0cc8461ed6be9
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Feb 19 14:50:20 2019 -0800

    xhost 1.0.8
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 0ef87307f77e7e3df04b227046904cecbe6dd3f6
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Nov 21 17:06:21 2018 -0800

    Update configure.ac bug URL for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 136e3be46cbd93a490483126b837f67c391129a1
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Nov 16 22:15:54 2018 -0800

    Update README for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 317312bd23cf5c524932c6f12319ed3eed68d981
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Nov 12 14:05:52 2018 -0800

    Drop ancient workarounds for Cray that are no longer needed
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 62bfa9d421138ec538682eb0323fa9f438d6b2c7
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Nov 12 13:27:55 2018 -0800

    Prefer inet_aton, if available, over inet_addr
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 0c3627bc7dac395c6af8bd1fb747ef3556e95fb4
Author: Tobias Stoeckmann <tobias@stoeckmann.org>
Date:   Wed Jul 4 16:20:06 2018 +0200

    Prevent OOB access on illegal server response.
    
    While parsing Xorg responses it is possible to trigger an out of
    boundary read if the response does not contain enough bytes.
    
    In case of IPv4, the padding normally prevents this, but IPv6
    addresses can trigger an out of boundary read.
    
    It takes a hostile xorg-server to reproduce this issue. If
    os/access.c is adjusted to always use a length of 1, it is possible
    to reproduce it and make it visible with an ASAN-compiled xhost.
    
    Reading past the memory boundary could reveal sensitive information
    to external DNS servers, because a lookup will be performed.
    
    Signed-off-by: Tobias Stoeckmann <tobias@stoeckmann.org>
    Reviewed-by: Matthieu Herrb <matthieu@herrb.eu>

commit 28015d91e284ee4b797a6e99ec16d53147c0ddb6
Author: Mihail Konev <k.mvc@ya.ru>
Date:   Thu Jan 26 14:00:21 2017 +1000

    autogen: add default patch prefix
    
    Signed-off-by: Mihail Konev <k.mvc@ya.ru>

commit 3ee80cd398579c0f182ff7131ebfe7b65efed72b
Author: Emil Velikov <emil.l.velikov@gmail.com>
Date:   Mon Mar 9 12:00:52 2015 +0000

    autogen.sh: use quoted string variables
    
    Place quotes around the $srcdir, $ORIGDIR and $0 variables to prevent
    fall-outs, when they contain space.
    
    Signed-off-by: Emil Velikov <emil.l.velikov@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 991e4a8a26e9c03faa291b522067443a8d05af7a
Author: Jon TURNEY <jon.turney@dronecode.org.uk>
Date:   Sun Sep 14 18:13:28 2014 +0100

    Move sethostent()/gethostent() stubs used in Windows builds to avoid implicit-function-declaration warnings
    
    Signed-off-by: Jon TURNEY <jon.turney@dronecode.org.uk>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: David Macek <david.macek.0@gmail.com>

commit 06d71376aa43f9177ec1e37ed1e4d0faca655cff
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Apr 16 23:28:02 2015 -0700

    xhost 1.0.7
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f59d9aaba7ba73533998cb6cc5bd74e6f4d75715
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat May 31 21:38:41 2014 -0700

    configure: Drop AM_MAINTAINER_MODE
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f224c62b89e484ef2fff8499d329e9aeae1c3529
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Dec 27 11:01:35 2013 -0800

    Add AC_USE_SYSTEM_EXTENSIONS to expose non-standard extensions
    
    Required on Solaris to expose definitions in system headers that
    are not defined in the XPG standards now that xtrans 1.3 defines
    _XOPEN_SOURCE to 600 on Solaris.
    
    Fixes build failures:
    In file included from /usr/include/rpc/rpcb_clnt.h:34:0,
                     from /usr/include/rpc/rpc.h:49,
                     from xhost.c:98:
    /usr/include/rpc/rpcb_prot.h:159:3: error: unknown type name ‘u_int’
    /usr/include/rpc/rpcb_prot.h:195:3: error: unknown type name ‘u_int’
    /usr/include/rpc/rpcb_prot.h:223:2: error: unknown type name ‘u_int’
    /usr/include/rpc/rpcb_prot.h:476:1: error: unknown type name ‘u_int’
    /usr/include/rpc/rpcb_prot.h:489:1: error: unknown type name ‘u_int’
    
    xhost.c: In function ‘change_host’:
    xhost.c:554:11: error: ‘INET6_ADDRSTRLEN’ undeclared (first use in this function)
    xhost.c:554:11: note: each undeclared identifier is reported only once for each function it appears in
    
    xhost.c: In function ‘get_hostname’:
    xhost.c:665:23: error: ‘NI_MAXHOST’ undeclared (first use in this function)
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Daniel Stone <daniel@fooishbar.org>

commit 984cfd0c90870310e09d55784c3aaa723f59f527
Author: Colin Walters <walters@verbum.org>
Date:   Thu Nov 7 20:35:32 2013 -0500

    autogen.sh: Honor NOCONFIGURE=1
    
    See http://people.gnome.org/~walters/docs/build-api.txt

commit 6c3d341467acd10eafc1462ee94c3efd3a4788ef
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Jul 16 23:10:37 2013 -0700

    xhost 1.0.6
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 4ffd1c45709bf8aa41e57d23a5241c4b4817d318
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Jun 14 00:02:21 2013 -0700

    Fix const warning for FamilyLocalHost empty address string
    
    xhost.c: In function ‘change_host’:
    xhost.c:452:13: warning: assignment discards ‘const’ qualifier from pointer target type [enabled by default]
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit e100ad533203fdc0d80078835c557f1bc47954bd
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Mar 2 08:49:40 2013 -0800

    Mark argument to nameserver_lost signal handler as unused
    
    Quiets clang warning:
    xhost.c:812:21: warning: unused parameter 'sig' [-Wunused-parameter]
    nameserver_lost(int sig)
                        ^
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 214c90d6b01017fe02675e133129cf389e740533
Author: Jon TURNEY <jon.turney@dronecode.org.uk>
Date:   Fri Oct 26 14:48:03 2012 +0100

    If SIGALRM isn't available, don't use alarm() to timeout gethostaddr(), just wait
    
    Win32 has neither SIGALRM nor sigaction(), so don't use SIGALRM to timeout
    gethostaddr(), just wait
    
    Signed-off-by: Jon TURNEY <jon.turney@dronecode.org.uk>
    Reviewed-by: Colin Harrison <colin.harrison@virgin.net>

commit 19250c1aed852e151bf66819e75f8d796018223b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Feb 23 09:47:42 2013 -0800

    Drop pre-POSIX signal handling support in favor of sigaction()
    
    X_NOT_POSIX has never been defined by our autoconf scripts, only for a few
    platforms in <X11/Xosdefs.h>, of which MinGW seems to be the most relevant
    today, and since that doesn't have alarm() it doesn't need this code either.
    
    First pass was done with 'unifdef -UX_NOT_POSIX', followed by
    manual tweaking to adjust indent levels, etc.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Jon TURNEY <jon.turney@dronecode.org.uk>

commit 618eebf5aa99138f6ab3b8a96f93eb422f1a138e
Author: Jon TURNEY <jon.turney@dronecode.org.uk>
Date:   Fri Oct 26 14:46:51 2012 +0100

    Provide dummy sethostent(),endhostent() for Win32 also
    
    Signed-off-by: Jon TURNEY <jon.turney@dronecode.org.uk>
    Reviewed-by: Colin Harrison <colin.harrison@virgin.net>

commit 4dc834b5d98a6b07bee7ec8d06ed63efe03d1076
Author: Jon TURNEY <jon.turney@dronecode.org.uk>
Date:   Fri Oct 26 14:52:45 2012 +0100

    Link with winsock for MinGW
    
    Signed-off-by: Jon TURNEY <jon.turney@dronecode.org.uk>
    Reviewed-by: Colin Harrison <colin.harrison@virgin.net>

commit 9316e88c68c2a2189cf90c55e9850d7428bcd356
Author: Jon TURNEY <jon.turney@dronecode.org.uk>
Date:   Wed Jan 4 18:25:26 2012 +0000

    Use Xwinsock.h on WIN32
    
    Signed-off-by: Jon TURNEY <jon.turney@dronecode.org.uk>
    Reviewed-by: Colin Harrison <colin.harrison@virgin.net>

commit 01433c7bdd169ae8a59ffe79842de55e318bc3b8
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Feb 23 09:40:22 2013 -0800

    Fix some integer sign/size conversion warnings flagged by clang
    
    xhost.c:154:19: warning: comparison of integers of different signs: 'int' and 'unsigned long' [-Wsign-compare]
        for (i = 0; i < FAMILIES; i++)
                    ~ ^ ~~~~~~~~
    xhost.c:310:15: warning: implicit conversion loses integer precision: 'size_t' (aka 'unsigned long') to 'int' [-Wshorten-64-to-32]
        namelen = strlen(name);
                ~ ^~~~~~~~~~~~
    xhost.c:311:40: warning: implicit conversion changes signedness: 'int' to 'size_t' (aka 'unsigned long') [-Wsign-conversion]
        if ((lname = (char *)malloc(namelen+1)) == NULL) {
                             ~~~~~~ ~~~~~~~^~
    xhost.c:707:46: warning: implicit conversion changes signedness: 'int' to 'socklen_t' (aka 'unsigned int') [-Wsign-conversion]
                getnameinfo((struct sockaddr *) &saddr, saddrlen, inetname,
                ~~~~~~~~~~~                             ^~~~~~~~
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 59da6b7438ab624593fe4ce52a402755cce25b12
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Feb 23 08:50:29 2013 -0800

    Convert sprintf to snprintf in SECURE_RPC code
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a9218c958e992adb727ea5fe45cb04f9ba611de1
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Feb 23 08:45:48 2013 -0800

    Move dpy declaration from static to main() function
    
    Fixes gcc warnings:
    xhost.c:290: warning: declaration of 'dpy' shadows a global declaration
    xhost.c:160: warning: shadowed declaration is here
    xhost.c:839: warning: declaration of 'dpy' shadows a global declaration
    xhost.c:160: warning: shadowed declaration is here
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a3f0c2a060f30259dc3830ea8165be15f2aeae75
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Feb 23 08:38:57 2013 -0800

    Assume signal handlers return void, as C89 requires
    
    Drops use of autoconf's obsolete AC_TYPE_SIGNAL and the even more
    obsolete Imake SIGNALRETURNSINT.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 3911e16aa570ca0709b50727c82df421f1401bd7
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Feb 23 08:35:24 2013 -0800

    unifdef -UBAD_ARPAINET
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 0a09ff485babcf0d3087b1710f1151bb60ed9263
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Feb 23 08:34:29 2013 -0800

    unifdef -Uatt
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f4ba8fcd272878dcc4a0994640a9457624d899ea
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Feb 23 08:33:55 2013 -0800

    unifdef -ULynx
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 830ce053ff5e4f3175bfa59539536b72a847739c
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Feb 23 08:33:04 2013 -0800

    unifdef -UCRAY
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a06b486b62d35ac6aca7ecad92226da5d34196a5
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Dec 26 23:24:52 2012 -0800

    Remove unused TLI ("STREAMSCONN") code from xhost
    
    Has never been converted to build in modular builds, so has been unusable
    since X11R7.0 release in 2005.  All known platforms with TLI/XTI support
    that X11R7 & later releases run on also have (and mostly prefer) BSD
    socket support for their networking API.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c902d69987a893cdf66a83fc7cad9dfd4bc72da0
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Dec 26 23:20:58 2012 -0800

    Remove unused DECnet ("DNETCONN") code from xhost
    
    Has never been converted to build in modular builds, so has been unusable
    since X11R7.0 release in 2005.  DNETCONN support was removed from xtrans
    back in 2008.
    
    Performed via "unifdef -UDNETCONN".
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 497ea5c9d998385c4b877ff4e7995d85aefd066b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Mar 22 21:57:16 2012 -0700

    xhost 1.0.5
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b38ed3d9e9100347c738b3abd12ec4dab1a5f395
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Mar 2 17:13:27 2012 -0800

    Rework si:type:value code to remove need for shadowed namelen variable
    
    Fixes gcc warning:
    xhost.c:453:6: warning: declaration of ‘namelen’ shadows a previous local
    xhost.c:339:9: warning: shadowed declaration is here
    
    Also removes unnecessary malloc and memcpy by just using the string
    pointers we already have, since XAddHost & XRemoveHost will copy the
    specified length of text from the strings to the Xlib request buffer
    before returning, not relying on nil termination.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ab99e025529b9029759470e9e085bb344f7fe4f5
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Mar 2 17:09:02 2012 -0800

    configure.ac updates to match other X.Org modules
    
    layout and comment the top portion of configure.ac
    add missing AC_CONFIG_SRCDIR
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c77ffc9c88d65b31c1ffadfc7956d954d82d5e85
Author: Erik Saule <esaule@bmi.osu.edu>
Date:   Sat Jul 23 18:11:10 2011 -0400

    man: xhost can not take a user name as a parameter.
    
    However, server interpreted addresses can be used to achieve the same
    behavior.
    
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 88e5e5af7a6af15a6d277565e317f8d768067de5
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Sep 24 10:22:07 2011 -0700

    Declare some char * as const to fix gcc -Wwrite-strings warnings
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Julien Cristau <jcristau@debian.org>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit d0d9975f459fd098e5b2cdc75edf4a9ebab6afd6
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Sep 24 10:13:45 2011 -0700

    Only need CFLAGS, not LIBS from xau package
    
    xhost needs the Family definitions from <X11/Xauth.h> to build, but
    doesn't call any libXau functions, so doesn't need to link against it.
    
    Fixes Solaris ld -z guidance warning:
    ld: guidance: removal of unused dependency recommended: libXau.so.6
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>
    Reviewed-by: Gaetan Nadon <memsize@videotron.ca>
    Reviewed-by: Jamey Sharp <jamey@minilop.net>

commit b8747f951cb3652975ce8484aaaddd50247729f7
Author: Julien Cristau <jcristau@debian.org>
Date:   Thu Jul 28 20:28:22 2011 +0200

    Move "-help" handling up to before XOpenDisplay
    
    We don't need a display to show the usage message.
    
    X.Org bug#39633 <https://bugs.freedesktop.org/show_bug.cgi?id=39633>
    
    Signed-off-by: Julien Cristau <jcristau@debian.org>

commit 24685cf1a3987a72310b0160b102fef615359731
Author: Kees Cook <kees.cook@canonical.com>
Date:   Sat Jul 9 13:05:17 2011 -0700

    xhost: check return value of X{Add,Remove}Host
    
    In the ServerInterpreted case, XAddHost and XRemoveHost are capable of
    failing when they lack request buffer memory. Notice this situation,
    and report correctly.
    
    Signed-off-by: Kees Cook <kees.cook@canonical.com>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Julien Cristau <jcristau@debian.org>

commit 29215ba31a7e173e55e7db73eb4c0040ae82881c
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 19 10:06:56 2011 -0500

    config: move man pages into their own directory
    
    Use services provided by XORG_MANPAGE_SECTIONS.
    Use standard Makefile for man pages.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit fc5155aa204cb07aaa3214876b20b02ad3ddcca1
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jan 13 17:15:36 2011 -0500

    man: replace hard coded man page section with substitution strings
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit e5e10f31baab0e98c5d7c2f1507bef2987d04ce8
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jan 13 11:15:47 2011 -0500

    man: remove trailing spaces and tabs
    
    Using s/[ \t]*$//
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit fc7681916477fdbb9ee9bda57b0051207bade715
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 12 16:28:02 2011 -0500

    config: replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS
    
    This silences an Autoconf warning

commit 76c0049c33330e5b454e7f563333a6d847092c65
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Oct 30 09:49:40 2010 -0700

    xhost 1.0.4
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit cb4a3d7f9ba598d38e9b17371146bd496c671246
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Oct 30 09:47:20 2010 -0700

    config: Remove unnecessary calls from configure.ac
    
    AC_PROG_CC & AC_PROG_INSTALL are provided by XORG_DEFAULT_OPTIONS now
    PKG_CONFIG_MODULES handles AC_SUBST of the CFLAGS & LIBS variables
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f390503a4ed8617a7e4f56828e78715e06823ff4
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sat Oct 30 09:46:42 2010 -0700

    config: update AC_PREREQ statement to 2.60
    
    Unrelated to the previous patches, the new value simply reflects
    the reality that the minimum level for autoconf to configure
    all x.org modules is 2.60 dated June 2006.
    
    ftp://ftp.gnu.org/gnu/autoconf/autoconf-2.60.tar.gz
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 7b9927113c7b647d5ea2403ead68b2b3bf5dc470
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Oct 30 09:45:58 2010 -0700

    Sun's copyrights now belong to Oracle
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 93c1508449eb3d389ddf7bd40d0362b8b9fc2967
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Mon Oct 11 08:34:26 2010 -0700

    config: upgrade to util-macros 1.8 for additional man page support
    
    Use MAN_SUBST now supplied in XORG_MANPAGE_SECTIONS
    The value of MAN_SUBST is the same for all X.Org packages.
    
    Use AC_PROG_SED now supplied by XORG_DEFAULT_OPTIONS
    Use the appropriate platform version of sed
    
    Based on patches in other modules from Gaetan Nadon <memsize@videotron.ca>
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 622150c9dc9136dbee3a6682dc400ece7f909725
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Thu Oct 7 15:12:23 2010 -0700

    Remove the references to /etc/X*.hosts
    
    xhost(1) doesn't use these files, so the refernece to Xserver(1) is sufficient.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>
    Signed-off-by: Patrick E. Kane <pekane52 at gmail.com>

commit 817ee597587852683935d9b2cd31e6b22572d7e5
Author: Jesse Adkins <jesserayadkins@gmail.com>
Date:   Tue Sep 28 13:29:49 2010 -0700

    Purge cvs tags.
    
    Signed-off-by: Jesse Adkins <jesserayadkins@gmail.com>

commit 1035fb157cbbf75c6f8d31ba9df6c2e876538627
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Jan 14 22:15:06 2010 -0800

    Update Sun license notices to current X.Org standard form
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 74b20bee2563427cf32bf35dc531a9ba321cc533
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Nov 26 09:19:54 2009 -0500

    Makefile.am: add ChangeLog and INSTALL on MAINTAINERCLEANFILES
    
    Now that the INSTALL file is generated.
    Allows running make maintainer-clean.

commit 5aa33f27a2867668bf80f6484bdca78919410952
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:09:08 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Add missing INSTALL file. Use standard GNU file on building tarball
    README may have been updated
    Remove AUTHORS file as it is empty and no content available yet.
    Remove NEWS file as it is empty and no content available yet.

commit aa14be48f8aac4da5e761d7341066e782062038b
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Oct 26 22:08:39 2009 -0400

    Makefile.am: ChangeLog not required: EXTRA_DIST or *CLEANFILES #24432
    
    ChangeLog filename is known to Automake and requires no further
    coding in the makefile.

commit d089d697f53f892684c1c7640decbeb7ebf939aa
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Oct 22 12:34:15 2009 -0400

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit c8b11b9e04dae51ab7f39386af77bff66843a26d
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Wed Oct 21 12:47:20 2009 -0700

    This is not a GNU project, so declare it foreign.
    
    On Wed, 2009-10-21 at 13:36 +1000, Peter Hutterer wrote:
    > On Tue, Oct 20, 2009 at 08:23:55PM -0700, Jeremy Huddleston wrote:
    > > I noticed an INSTALL file in xlsclients and libXvMC today, and it
    > > was quite annoying to work around since 'autoreconf -fvi' replaces
    > > it and git wants to commit it.  Should these files even be in git?
    > > Can I nuke them for the betterment of humanity and since they get
    > > created by autoreconf anyways?
    >
    > See https://bugs.freedesktop.org/show_bug.cgi?id=24206
    
    As an interim measure, replace AM_INIT_AUTOMAKE([dist-bzip2]) with
    AM_INIT_AUTOMAKE([foreign dist-bzip2]). This will prevent the generation
    of the INSTALL file. It is also part of the 24206 solution.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@freedesktop.org>

commit 887b3da0c2cf25b1239b200fa82935cff61edc74
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Oct 13 17:37:15 2009 -0700

    xhost 1.0.3
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit fb7a5116803237dbf7c6871e6ba299ca9490c0b5
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Oct 13 17:17:42 2009 -0700

    Migrate to xorg macros 1.3 & XORG_DEFAULT_OPTIONS
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit a10568d219ce8f67732a3cfad8b4f173b414c356
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Oct 1 14:54:24 2009 -0700

    Add README with pointers to mailing lists, bugzilla, & git
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 2e313cc7b5f0353e545a874ade80ab568687473f
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Wed Jan 21 19:11:50 2009 -0200

    Correct make distcheck and sparse warnings.

commit 1ab923fdd812a35dd46fe663780f8c8271aa5d89
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Jul 17 10:08:35 2007 -0700

    Use AM_CFLAGS instead of xhost_CFLAGS to avoid automake-1.10 warnings

commit ebf6f7d4b36d69a83aeca39405d6140d8cbdcb01
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Jul 16 14:51:39 2007 -0700

    Version bump: 1.0.2

commit 9ef704675867ab08bc8ea129825d4ba32061dded
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Jul 16 14:26:03 2007 -0700

    Replace static ChangeLog with dist-hook to generate from git log

commit 39ebc64fcc7ed7abdd529100da4cc6ba59ccff9d
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Apr 11 14:54:42 2007 -0700

    Bug #10616: Typo in xhost.man: s/effect/affect/
    
    X.Org Bugzilla #10616 <https://bugs.freedesktop.org/show_bug.cgi?id=10616>
    Reported upstream from
    Debian bug #232384 <http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=232384>

commit 7f505a8462be4fa4cde6314fc9bff66ce298722a
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Feb 2 13:36:24 2007 -0800

    renamed: .cvsignore -> .gitignore

commit adbf515413070f64a15bb3b12c810c906075529a
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Feb 2 13:36:00 2007 -0800

    Add note pointing to Xsecurity man page for more info on SI options

commit f74dafdf0b8e15cc1a92466f2c92facd470895b8
Author: Adam Jackson <ajax@nwnk.net>
Date:   Sat Apr 15 00:10:10 2006 +0000

    Coverity #610, #611: Various minor memory leaks. Bump to 1.0.1.

commit dc62a07856fb98a1c11abb6146146e91f520908b
Author: Kevin E Martin <kem@kem.org>
Date:   Thu Dec 15 00:24:07 2005 +0000

    Update package version number for final X11R7 release candidate.

commit 8984dd78af13984d80d6f1b751be415b30940816
Author: Kevin E Martin <kem@kem.org>
Date:   Tue Dec 6 22:48:22 2005 +0000

    Change *man_SOURCES ==> *man_PRE to fix autotools warnings.

commit 5f042cf69982bfb6bf045a543de232b0658f06bc
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Dec 3 05:49:24 2005 +0000

    Update package version number for X11R7 RC3 release.

commit e77e96f2427e7ae4f26886463f82753f5307de2b
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Nov 28 22:01:43 2005 +0000

    Change *mandir targets to use new *_MAN_DIR variables set by xorg-macros.m4
        update to fix bug #5167 (Linux prefers *.1x man pages in man1 subdir)

commit 5283dd84d2d8ca67edf136fd4306852c18a1ca6d
Author: Eric Anholt <anholt@freebsd.org>
Date:   Mon Nov 21 10:35:01 2005 +0000

    Another pass at .cvsignores for apps.

commit 8ecde78ea1374b23238cafb07eb4b1769c0ef5bb
Author: Eric Anholt <anholt@freebsd.org>
Date:   Sun Nov 20 22:08:53 2005 +0000

    Add/improve .cvsignore files for apps.

commit 71c8ff9e7e33d461c429069f2626ab2b4239001f
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Nov 9 21:09:21 2005 +0000

    Update package version number for X11R7 RC2 release.

commit 726c26bcec28843c6f5038bba46f3d87a56b8a58
Author: Kevin E Martin <kem@kem.org>
Date:   Tue Nov 1 15:05:18 2005 +0000

    Update pkgcheck depedencies to work with separate build roots.

commit decc11f72d68d91578ec5491282ee2c619a7f6d4
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Oct 19 02:47:54 2005 +0000

    Update package version number for RC1 release.

commit 4364ba6829303bd09f4713b50fe44a2fa89872a5
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Oct 17 23:56:22 2005 +0000

    Use @APP_MAN_SUFFIX@ instead of $(APP_MAN_SUFFIX) in macro substitutions to
        work better with BSD make

commit fbfc3a3410f51b1e0706ffd115a41e9ae1e36160
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Fri Oct 14 00:25:46 2005 +0000

    Use sed to fill in variables in man page

commit 7e1c137dc842830927dcc6cd8ddf06422e5eb32a
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Aug 1 20:25:30 2005 +0000

    Install man pages to section 1 instead of section m (Patch from Donnie
        Berkholz)

commit 7a832df9178f26f471287b8cac3604121a635e68
Author: Kevin E Martin <kem@kem.org>
Date:   Fri Jul 29 21:22:34 2005 +0000

    Various changes preparing packages for RC0:
    - Verify and update package version numbers as needed
    - Implement versioning scheme
    - Change bug address to point to bugzilla bug entry form
    - Disable loadable i18n in libX11 by default (use --enable-loadable-i18n to
        reenable it)
    - Fix makedepend to use pkgconfig and pass distcheck
    - Update build script to build macros first
    - Update modular Xorg version

commit 50727a26edab129d555150cca271c23c4228426d
Author: Kevin E Martin <kem@kem.org>
Date:   Thu Jul 28 15:57:12 2005 +0000

    Fix distcheck for remaining apps

commit 1618ebd6cd76fb6afc63d68966905e4948b5ebb4
Author: Adam Jackson <ajax@nwnk.net>
Date:   Wed Jul 20 19:31:57 2005 +0000

    Use a unique token for PKG_CHECK_MODULES. Otherwise, if you use a global
        configure cache, you cache it, and the cached value is probably wrong.

commit 8b783444a5341f4698027d3a66650c179bc8fa2e
Author: Søren Sandmann Pedersen  <sandmann@daimi.au.dk>
Date:   Tue Jul 5 21:12:45 2005 +0000

    Add autogen.sh for xhost

commit 4f7044d76de402585b7bcc33b6803f6d5182dd61
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Fri Jul 1 16:55:14 2005 +0000

    More freedestkop->freedesktop typo fixes

commit 6717fca843fbcf3c79574dd1f574fbf78ff99285
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Sat Jun 18 08:16:09 2005 +0000

    Whoops. Uses Xmuu, not Xmu

commit 1ff19e0b04fbc458d87b9582223a7e60fd18ffb2
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Sat Jun 18 08:03:35 2005 +0000

    Autotooling: Add #include "config.h" & use RETSIGTYPE if defined.
    cvs: ----------------------------------------------------------------------

commit e6443cf2d16a842e3dcefadbfb7be50484ee2f47
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Sat Jun 18 07:49:39 2005 +0000

    autotool xhost

commit beba11cfe89a04a5c315d6b9b48201204af31a18
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Tue Jul 27 06:06:06 2004 +0000

    - remove remaining AMOEBA references.
    - remove unused file.

commit 9a00449e017738f0e60c1bf296659a535b1469f2
Author: Egbert Eich <eich@suse.de>
Date:   Fri Apr 23 19:54:49 2004 +0000

    Merging XORG-CURRENT into trunk

commit d60614f08958004ab613f62470f14c2fab6e59f5
Author: Egbert Eich <eich@suse.de>
Date:   Sun Mar 14 08:35:24 2004 +0000

    Importing vendor version xf86-4_4_99_1 on Sun Mar 14 00:26:39 PST 2004

commit 18cd6b229ebc28d5e9875465f4eadff856b94b83
Author: Egbert Eich <eich@suse.de>
Date:   Wed Mar 3 12:13:08 2004 +0000

    Importing vendor version xf86-4_4_0 on Wed Mar 3 04:09:24 PST 2004

commit 451e972cf47c66069d791e5436f6c9eac9f0e116
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 13:36:24 2004 +0000

    readding XFree86's cvs IDs

commit f17a619e50d3243f3cc62251fed63a1bc46cb120
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 09:24:08 2004 +0000

    Importing vendor version xf86-4_3_99_903 on Wed Feb 26 01:21:00 PST 2004

commit fb6a09667fede1013cbb01f57ccccd7b726fbecf
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Tue Nov 25 19:29:13 2003 +0000

    XFree86 4.3.99.16 Bring the tree up to date for the Cygwin folks

commit 8318f3de7a64f63e05adae22f9452af19e5df725
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:49:22 2003 +0000

    XFree86 4.3.0.1

commit 5b721f5b0d168e466b968d3a3089ab1e3be82233
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 15:54:53 2003 +0000

    R6.6 is the Xorg base-line
